#version 330 core

layout(location = 0) in vec2 a_position;
layout(location = 1) in vec2 a_texcoord;
layout(location = 2) in vec4 a_fg_color;

uniform mat4 u_projection;

out vec2 v_texcoord;
out vec4 v_fg_color;

void main() {
    gl_Position = u_projection * vec4(a_position, 0.0, 1.0);
    v_texcoord = a_texcoord;
    v_fg_color = a_fg_color;
}
